Skip to main content
POST
/
api
/
payments
/
razorpay
/
sync
Sync Razorpay Payments State
curl --request POST \
  --url https://api.example.com/api/payments/razorpay/sync \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "connection": {
        "accountId": "acc_123",
        "merchantName": "Example Merchant",
        "accountLivemode": true,
        "webhookEndpointId": "manual",
        "webhookEndpointUrl": "https://api.example.com/api/webhooks/razorpay/test",
        "webhookConfiguredAt": "2023-11-07T05:31:56Z",
        "maskedKey": "rzp_test_...abcd",
        "lastSyncedAt": "2023-11-07T05:31:56Z",
        "lastSyncError": "<string>",
        "lastSyncCounts": {}
      },
      "syncCounts": {
        "plans": 1,
        "items": 1,
        "customers": 1,
        "subscriptions": 1,
        "invoices": 1,
        "payments": 1
      },
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Sync result for configured Razorpay environments

results
object[]
required